## ros-kinetic-fingertip-pressure 1.8.18

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(fingertip_pressure)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS 
   std_msgs 
   geometry_msgs 
   message_generation
   rostest 
   )


add_message_files(DIRECTORY msg FILES PressureInfoElement.msg PressureInfo.msg)

catkin_python_setup()

generate_messages(DEPENDENCIES std_msgs geometry_msgs)

catkin_package(CATKIN_DEPENDS std_msgs geometry_msgs message_runtime)

add_rostest(test/pressure_info_tests.xml)

add_rostest(test/test_marker_rectangle.xml)

add_rostest(test/test_marker_sphere.xml)

install(DIRECTORY scripts/
   USE_SOURCE_PERMISSIONS
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(FILES ui/fingertip_panel.xrc
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/ui/)

=== debian/changelog ===
ros-kinetic-fingertip-pressure (1.8.18-1xenial) xenial; urgency=high

  * updated maintainer
  * Contributors: David Feil-Seifer

 -- David Feil-Seifer <dave@cse.unr.edu>  Thu, 12 Apr 2018 07:00:00 -0000

ros-kinetic-fingertip-pressure (1.8.17-1xenial) xenial; urgency=high

  * Merge pull request #70 <https://github.com/PR2/pr2_ethercat_drivers/issues/70> from k-okada/orp
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 14 Feb 2018 08:00:00 -0000

ros-kinetic-fingertip-pressure (1.8.15-1xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 19 Jun 2015 07:00:00 -0000

ros-kinetic-fingertip-pressure (1.8.12-1xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 11 Feb 2015 08:00:00 -0000

ros-kinetic-fingertip-pressure (1.8.11-1xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 30 Sep 2014 07:00:00 -0000

ros-kinetic-fingertip-pressure (1.8.9-1xenial) xenial; urgency=high

  * Bug-fix: Python executables in fingertip_pressure were installed without proper permissions.
  * Contributors: Georg Bartels

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 29 Sep 2014 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-fingertip-pressure
Section: misc
Priority: extra
Maintainer: David Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-rostest, ros-kinetic-std-msgs
Homepage: http://ros.org/wiki/fingertip_pressure
Standards-Version: 3.9.2

Package: ros-kinetic-fingertip-pressure
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-pr2-msgs, ros-kinetic-rospy, ros-kinetic-std-msgs, ros-kinetic-visualization-msgs
Description: This package provides access to the PR2 fingertip pressure sensors.
 This information includes:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-fingertip-pressure//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
